commit 18540d2241c3550e5368d342685f5fb3d1130a4d
Author: GCC Administrator <gccadmin@gcc.gnu.org>
Date:   Tue Oct 28 01:33:02 2025

    Daily bump.

diff --git a/gcc/ChangeLog b/gcc/ChangeLog
index d2d23919158..624d726b482 100644
--- a/gcc/ChangeLog
+++ b/gcc/ChangeLog
@@ -1,3 +1,35 @@
+2025-10-27  Jakub Jelinek  <jakub@redhat.com>
+
+	PR tree-optimization/122394
+	* tree-ssa-phiopt.cc (spaceship_replacement): Use
+	build_debug_expr_decl instead of manually building DEBUG_EXPR_DECL
+	and getting SET_DECL_MODE wrong.
+
+2025-10-27  Jeff Law  <jlaw@ventanamicro.com>
+
+	Backported from master:
+	2025-10-13  Jeff Law  <jlaw@ventanamicro.com>
+
+	PR target/120674
+	* config/riscv/riscv.cc (riscv_dwarf_poly_indeterminite_value): Do not
+	set FACTOR to zero, for that case use one instead.
+
+2025-10-27  Tamar Christina  <tamar.christina@arm.com>
+
+	Backported from master:
+	2025-10-17  Tamar Christina  <tamar.christina@arm.com>
+		    Jennifer Schmitz  <jschmitz@nvidia.com>
+
+	PR target/121604
+	* config/aarch64/aarch64-sve-builtins-shapes.cc (apply_predication):
+	Store gp_index.
+	(struct pmov_to_vector_lane_def): Mark instruction as has no GP.
+	* config/aarch64/aarch64-sve-builtins.h (function_instance::gp_value,
+	function_instance::inactive_values, function_instance::gp_index,
+	function_shape::has_gp_argument_p): New.
+	* config/aarch64/aarch64-sve-builtins.cc (gimple_folder::fold_pfalse):
+	Simplify code and use GP helpers.
+
 2025-10-26  LIU Hao  <lh_mouse@126.com>
 
 	Backported from master:
diff --git a/gcc/DATESTAMP b/gcc/DATESTAMP
index 6e95effb6d9..0bfc1e9884d 100644
--- a/gcc/DATESTAMP
+++ b/gcc/DATESTAMP
@@ -1 +1 @@
-20251027
+20251028
diff --git a/gcc/testsuite/ChangeLog b/gcc/testsuite/ChangeLog
index 89f374afaf8..dbe97677749 100644
--- a/gcc/testsuite/ChangeLog
+++ b/gcc/testsuite/ChangeLog
@@ -1,3 +1,34 @@
+2025-10-27  Jakub Jelinek  <jakub@redhat.com>
+
+	PR tree-optimization/122394
+	* g++.dg/opt/pr122394.C: New test.
+
+2025-10-27  Jeff Law  <jlaw@ventanamicro.com>
+
+	Backported from master:
+	2025-10-13  Jeff Law  <jlaw@ventanamicro.com>
+
+	PR target/120674
+	* gcc.target/riscv/pr120674.c: New test.
+
+2025-10-27  Tamar Christina  <tamar.christina@arm.com>
+
+	Backported from master:
+	2025-10-17  Tamar Christina  <tamar.christina@arm.com>
+		    Jennifer Schmitz  <jschmitz@nvidia.com>
+
+	PR target/121604
+	* gcc.target/aarch64/sve/pr121604_brk.c: New test.
+	* gcc.target/aarch64/sve2/pr121604_pmov.c: New test.
+
+2025-10-27  H.J. Lu  <hjl.tools@gmail.com>
+
+	Backported from master:
+	2025-10-27  H.J. Lu  <hjl.tools@gmail.com>
+
+	PR target/122323
+	* gcc.target/i386/builtin-copysign-8b.c: Add -mtune=generic.
+
 2025-10-26  Alexandre Oliva  <oliva@adacore.com>
 
 	Backported from master:

